using System;
using System.Collections.Generic;
using BasePaySdk;

namespace BasePayDemo
{
    public class UploadDemo
    {
        public static void testUpload(){
            InitMerConfig.init();

            DateTime dt = DateTime.Now;
            string nowStr = DateTime.Now.ToString("yyyyMMddHHmmss");
            string nowDate = DateTime.Now.ToString("yyyyMMdd");
            string reqSeqId = nowStr + "01234567890";
            // merOrdId = nowStr + "1234567890";
            string merOrdId = reqSeqId;
            string timeExpire = dt.AddMinutes(2).ToString("yyyyMMddHHmmss");

            /**
            * 商户分期配置查询
            **/
            Dictionary<string, Object> reqParam = new Dictionary<string, Object>();
            // 请求流水号，需保证当天商户下唯一，推荐采用日期时间+几位流水号的形式
            reqParam.Add("req_seq_id", reqSeqId);
            // 请求日期，请求接口的日期，因服务器时间可能有差异，允许前后1天
            reqParam.Add("req_date", nowDate);

            // 分配商户号
            reqParam.Add("huifu_id", DemoConstants.DEMO_HUIFU_ID);
            // 文件枚举
            reqParam.Add("file_type", "F01");

            // 调用接口,使用默认商户配置时可省略配置key
            Dictionary<string, Object> result = null;
            try {
                result = BasePayClient.postRequestFile("ssproxy.file.upload", reqParam, "d:/1.JPG");
                // 使用指定配置调用接口
                // result = Dictionary<string, Object> result = BasePayClient.postRequestFile("ssproxy.file.upload", reqParam, "d:/1.JPG", "merchantKey2");
            }
            catch (Exception ex) {
                Console.WriteLine(ex.Message);
                return;
            }

            object subRespCode = null;
            result.TryGetValue("sub_resp_code", out subRespCode);
            if ("00000000".Equals((string)subRespCode))
            {
                // 业务处理成功
                Console.WriteLine("处理成功");
            } 
            //else if ("90000000".Equals((string)subRespCode))
           // {
                // 审核中
             //   Console.WriteLine("审核中");
            //}
            else
            {
                // 业务处理失败
                Console.WriteLine("处理失败，失败信息：" + result["sub_resp_desc"]);
            }
        }
    }
}
