using System;
using System.Collections.Generic;

namespace BasePaySdk 
{
    public class BasePayClient
    {
        /// <summary>
        /// 发送报文请求
        /// </summary>
        ///
        /// <param name="funcCode">功能编码</param>
        /// <param name="requestParams">请求报文</param>
        /// <param name="merchantKey">商户配置key</param>
        ///
        /// <returns>返回报文</returns>
        ///
        public static Dictionary<string, Object> postRequest(string funcCode, Dictionary<string, object> requestParams, string merchantKey = "default") {
            MerConfig config = BasePay.fetchConfig(merchantKey);
            return NetUtils.requestBasePay(requestParams, funcCode, NetUtils.POST, config);
        }

        /// <summary>
        /// 上传文件请求
        /// </summary>
        ///
        /// <param name="funcCode">功能编码</param>
        /// <param name="requestParams">请求报文</param>
        /// <param name="filePath">上传文件路径</param>
        /// <param name="merchantKey">商户配置key</param>
        ///
        /// <returns>返回报文</returns>
        ///
        public static Dictionary<string, Object> postRequestFile(string funcCode, Dictionary<string, object> requestParams, string filePath, string merchantKey = "default")
        {
            MerConfig config = BasePay.fetchConfig(merchantKey);
            return NetUtils.requestBasePayForFileUpload(requestParams, filePath, "file", funcCode, NetUtils.POST, config);
        }
    }
}